%%textdomain fatdoghelp
![Fatdog](fatdog64.png)
# Networking

The primary ways to connect to a network are with wpa\_gui ![Connect](wpa_gui.png) which is in the system tray.

Or with the Network Wizard, which can be found by right clicking on the wpa\_gui icon.

## wpa_gui

Wpa\_gui only supports wireless connections. It will automatically connect to any network that you have previously saved in wpa\_gui. If no previous networks are found then it will connect to any available open network. Wpa\_gui uses dhcp (automatic addressing) only. If you need to manually configure your address, you will have to use the network wizard.

To connect to a new network using wpa\_gui:

### Step 1

Click scan. The Scan results window will open. Click the Scan button if needed,  you might have to wait 10 seconds or more for your network to show.

### Step 2

Double click on the network you want to connect to.

### Step 3

Fill in any password information needed and click add. For personal WPA2 this would be the PSK field.

### Step 4

On the Current Status tab, you should see it connecting to your newly created profile unless it had already connected to another network. To manually select a network, use the Network pull-down to select your network. If you want to always connect to this network and not any network with the strongest signal, then select File - Save Configuration.

---

If you have problems connecting to a network, try right clicking on the wpa\_gui icon and select Restart Wireless. This will restart the wpa\_gui services (wpa\_supplicant, wpa\_cli, and dhcpcd). If you want stop the wpa\_gui services, right click and select Quit Wireless.

## Network Wizard

The Network Wizard is used to connect to wired and wireless networks.

If you are only using wireless with automatic addressing, then you'll find wpa\_gui much more convenient.

To use the Network Wizard, right click on the wpa\_gui icon in the tray and select Network Wizard. Any active connection made by wpa\_gui stops when the Network Wizard is launched. If you want to go back to using wpa\_gui, right click on the wpa\_gui icon and select Restart Wireless.

To make a new connection click on the button that corresponds to the interface you want to use.

This is a typical example.

Eth0 is usually your wired Ethernet interface.

Wlan0 in this example is the wireless interface.

![ ](netwiz2.png)

After you click on the button for the interface you want to configure, a new window pops open with options to configure the interface.
   
If you want the connection made with the Network Wizard to be used at boot, uncheck the "Run WPA\_Gui at startup".

![ ](netwiz1.png)

With this box unchecked the wpa\_gui services will not start at boot.
